org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetastorageDataRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.freelist.SimpleDataRow
  - - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetastorageDataRow

All Implemented Interfaces:
  MetastorageSearchRow, Storable

    public class MetastorageDataRow
    extends SimpleDataRow
    implements MetastorageSearchRow

### Constructor Summary

Constructors
Constructor and Description
`MetastorageDataRow(long link, String key, byte[] val)`
`MetastorageDataRow(String key, byte[] val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `hash()`
`IOVersions<? extends AbstractDataPageIO>` `ioVersions()`
`String` `key()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.SimpleDataRow

`headerSize, link, link, partition, size, value`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.metastorage.MetastorageSearchRow

`link`

### Constructor Detail

#### MetastorageDataRow

    public MetastorageDataRow(long link,
                              String key,
                              byte[] val)

#### MetastorageDataRow

    public MetastorageDataRow(String key,
                              byte[] val)

### Method Detail

#### key

    public String key()

Specified by:
  `key` in interface `MetastorageSearchRow`
Returns:
  Key.

#### hash

    public int hash()

Specified by:
  `hash` in interface `MetastorageSearchRow`
Returns:
  Key hash code.

#### ioVersions

    public IOVersions<? extends AbstractDataPageIO> ioVersions()

Specified by:
  `ioVersions` in interface `Storable`
Overrides:
  `ioVersions` in class `SimpleDataRow`
Returns:
  I/O for handling this storable.

#### toString

    public String toString()

Overrides:
  `toString` in class `SimpleDataRow`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020